"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeToFile = exports.getFile = void 0;
const fs_1 = __importDefault(require("fs"));
const chalk_1 = __importDefault(require("chalk"));
const getFile = (path) => {
    try {
        if (fs_1.default.existsSync(path)) {
            return fs_1.default.readFileSync(path, {
                encoding: 'utf8'
            });
        }
        else {
            console.log(chalk_1.default.yellowBright(`${path} does not exist in specified path`));
            return undefined;
        }
    }
    catch (e) {
        console.log(chalk_1.default.bgRedBright(`Failed to read ${path}`), e);
        return undefined;
    }
};
exports.getFile = getFile;
const writeToFile = (content, path, encoding = 'utf8') => {
    try {
        fs_1.default.writeFileSync(path, content, {
            encoding
        });
    }
    catch (e) {
        console.log(chalk_1.default.bgRedBright(`Failed to write given content to ${path}`));
        throw e;
    }
};
exports.writeToFile = writeToFile;
//# sourceMappingURL=fs-utils.js.map